[U-Boot] [PATCH 0/2] MAKEALL, buildman: run genboardscfg.py to make sure boards.cfg is new

This series depends on the feature introduced by this commit: http://patchwork.ozlabs.org/patch/381622/
Masahiro Yamada (2): MAKEALL: run genboardscfg.py all the time buildman: run genboardscfg.py all the time
MAKEALL | 11 ++++------- tools/buildman/control.py | 10 ++++------ 2 files changed, 8 insertions(+), 13 deletions(-)

This commit makes sure boards.cfg is up to date before starting the build tests. tools/genboardscfg.py exits immediately printing "boards.cfg is up to date. Nothing to do." when boards.cfg is already new.
Signed-off-by: Masahiro Yamada yamada.m@jp.panasonic.com ---
MAKEALL | 11 ++++------- 1 file changed, 4 insertions(+), 7 deletions(-)
diff --git a/MAKEALL b/MAKEALL index 2e826c1..4822054 100755 --- a/MAKEALL +++ b/MAKEALL @@ -171,13 +171,10 @@ GNU_MAKE=$(scripts/show-gnu-make) || { # echo "Remaining arguments:" # for arg do echo '--> '"`$arg'" ; done
-if [ ! -r boards.cfg ]; then - echo "Could not find boards.cfg" - tools/genboardscfg.py || { - echo "Failed to generate boards.cfg" >&2 - exit 1 - } -fi +tools/genboardscfg.py || { + echo "Failed to generate boards.cfg" >&2 + exit 1 +}
FILTER="$1 !~ /^#/" [ "$opt_a" ] && FILTER="${FILTER} && $opt_a"

On Fri, Aug 22, 2014 at 02:33:40PM +0900, Masahiro Yamada wrote:
This commit makes sure boards.cfg is up to date before starting the build tests. tools/genboardscfg.py exits immediately printing "boards.cfg is up to date. Nothing to do." when boards.cfg is already new.
Signed-off-by: Masahiro Yamada yamada.m@jp.panasonic.com
Applied to u-boot/master, thanks!

This commit makes sure boards.cfg is up to date before starting the build tests. tools/genboardscfg.py exits immediately printing "boards.cfg is up to date. Nothing to do." when boards.cfg is already new.
Signed-off-by: Masahiro Yamada yamada.m@jp.panasonic.com ---
tools/buildman/control.py | 10 ++++------ 1 file changed, 4 insertions(+), 6 deletions(-)
diff --git a/tools/buildman/control.py b/tools/buildman/control.py index d98e50a..68ea961 100644 --- a/tools/buildman/control.py +++ b/tools/buildman/control.py @@ -120,12 +120,10 @@ def DoBuildman(options, args):
# Work out what subset of the boards we are building board_file = os.path.join(options.git, 'boards.cfg') - if not os.path.exists(board_file): - print 'Could not find %s' % board_file - status = subprocess.call([os.path.join(options.git, - 'tools/genboardscfg.py')]) - if status != 0: - sys.exit("Failed to generate boards.cfg") + status = subprocess.call([os.path.join(options.git, + 'tools/genboardscfg.py')]) + if status != 0: + sys.exit("Failed to generate boards.cfg")
boards = board.Boards() boards.ReadBoards(os.path.join(options.git, 'boards.cfg'))

On 21 August 2014 23:33, Masahiro Yamada yamada.m@jp.panasonic.com wrote:
This commit makes sure boards.cfg is up to date before starting the build tests. tools/genboardscfg.py exits immediately printing "boards.cfg is up to date. Nothing to do." when boards.cfg is already new.
Signed-off-by: Masahiro Yamada yamada.m@jp.panasonic.com
Acked-by: Simon Glass sjg@chromium.org

On Fri, Aug 22, 2014 at 02:33:41PM +0900, Masahiro Yamada wrote:
This commit makes sure boards.cfg is up to date before starting the build tests. tools/genboardscfg.py exits immediately printing "boards.cfg is up to date. Nothing to do." when boards.cfg is already new.
Signed-off-by: Masahiro Yamada yamada.m@jp.panasonic.com Acked-by: Simon Glass sjg@chromium.org
Applied to u-boot/master, thanks!
participants (3)
-
Masahiro Yamada
-
Simon Glass
-
Tom Rini